Same firmware for PAP2 and PAP2T?

Answered Question
May 5th, 2009

From the information I've found scattered around the internet, the PAP2T seem to be a later version of the PAP2 with more memory and the ability to support two concurrent g.729 calls. I have a large number of devices identifying themselves as "Linksys/PAP2-3.1.22(LS)" and a pretty large amount identifying themselves as "Linksys/PAP2T-5.1.3(LS)". We seem to suffer from the bug "Unit stops playing incoming RTP audio once it receives a 180/183 w/o SDP; regardless setting of <Sticky 183> parameter" which is fixed in 5.1.6. I'm therefore looking into upgrading all PAP2 and PAP2T units. The release notes for 5.1.6 lists both PAP2 and PAP2T but doesn't clearly state that they use the same .bin. What is the case here? Same .bin for both models or?

I have this problem too.
0 votes
Correct Answer by amontill about 4 years 11 months ago

Yes, it is. As soon as I get the Release Notes I'll forward it to you.

Regards
Alberto

Correct Answer by amontill about 4 years 11 months ago

Dear Gustav;

Please find attached 3.1.23. This is the equivalent firmware for PAP2.

Regards;
Alberto

  • 1
  • 2
  • 3
  • 4
  • 5
Average Rating: 5 (2 ratings)
amontill Tue, 05/05/2009 - 02:43

Dear Sir;

Each product uses their own firmware. I suggest you download them from cisco.com

Regards;
Alberto

gustavolsson Tue, 05/05/2009 - 02:52

Thank you for your answer Alberto,

In all that text i forgot to mention that i cannot find it on cisco.com. I find the firmware for PAP2T and the other models (8000, 2101 and so on, all listed in the same view) but not for the PAP2. Again, the release notes for the 5.1.6 is named "Release Notes for -- Linksys PAP2/PAP2T 5.1.6", although that doesn't necessarily mean the binary itself is the same... Is it really there or can I find it some other place?

amontill Tue, 05/05/2009 - 02:58

Dear Gustav;

I see. Please note PAP2 is End of Life. That means there is no new firmware available in cisco.com. I'm escalating this in order to check whether there is a new firmware available for PAP2. Please stay tuned.

Regards
Alberto

gustavolsson Wed, 05/06/2009 - 02:55

Dear Alberto: Thank you!

Just for clarification, is the 3.1.23 for the PAP2 what the 5.1.6 is for the PAP2T with regards to the release notes and the fix of the bug related to missing call back tone?

Thanks!

Correct Answer
amontill Wed, 05/06/2009 - 03:00

Yes, it is. As soon as I get the Release Notes I'll forward it to you.

Regards
Alberto

sabb010101 Sat, 07/18/2009 - 09:48

Hi Alberto

Me too I would like to get the latest firmware for the PAP2 (version 1)

However the zipped file that you've attached (pap2-3-1-23-LS.zip) is corrupted and I cannot unzip it.

Can you please re-attach

Thanks

sabb010101 Mon, 07/20/2009 - 19:01

Thanks Patrick

I was able to redownload and unzip.

However I was not able to upgrade my PAP2 ! It is looking for an Admin password that I do not have. I bought this PAP2 privately. What are my options ?

Thanks

Patrick Born Tue, 07/21/2009 - 14:34

Hi sabb010101,

Thanks for letting me know that you were able to download and uncompress the recovery utility.

I suggest that you contact the seller and request the password or your money back. Without the password, the device is useless to you.

There are several thread on this forum, you're not alone.

Regards,

Patrick

-----------

smal_0009 Mon, 09/21/2009 - 11:36

I am having problems with my PAP2T lately - no caller id and short beep instead of a ring.

I tried fiddling with voltage levels and it did not help. trapezoid waveform is the ring type and 20 is the frequency - for those who know this detail.

since nothing has helped, i started thinking about upgrading firmware to 5.1.6.

question is can I use 5.1.6?

this is my hardware...

Product Name:PAP2-NASerial Number:FH9010018008
Software Version:3.1.22(LS)Hardware Version:0.03.4
MAC Address:0012180101B9Client Certificate:Installed
Customization:Open


smal_0009 Tue, 09/22/2009 - 05:02

I could not upgrade to 5.1.6 from software that I found through google on one of cisco / linksys sites.

i tried to upgrade using the Windows utility - whereby an application launches, obtains the details of the PAP2T, uploads the firmware and then it appears it is waiting for the device to upgrade and then says "failed - upgraded to 3.x.x - the firmware which was already on PAP2T.

the link that you included did not have the firmware.

can you help?

Thanks!!

Patrick Born Tue, 09/22/2009 - 05:12

Hi smal_009,

My bet is that the computer is blocking the upgrade. Chances are it is the Windows firewall, antivirus, or some other utility to keep you safe. You need to answer "Allow" if Windows offers to block for you.

Try another computer, or disable the inhibitors on your computer and reboot.

You can also install a TFTP server on your computer, there are several free TFTP servers for Windows on the Internet, example SolarWinds.

This should help: https://www.myciscocommunity.com/docs/DOC-5938

Regards,

Patrick

----------

smal_0009 Tue, 09/22/2009 - 05:59

patrick, the message i get is version not matched.

as if my hardware pap2-na is not compatible with this software.

can you confirm by looking a the hardware profile i posted, two posts earlier. thank you!

i may have start another thread to try to solve my sudden observation of problem with rings on my phone instrument and not getting caller id often!

i have tinkered with voltage levels, and type of ring, and ring frequencies.

smal_0009 Tue, 09/22/2009 - 10:49

i upgraded to this one. this worked.

however my ringing and caller id problems have not gone away :(

i have tried all the online listed answers as to what to do.

Actions

Login or Register to take actions

This Discussion

Posted May 5, 2009 at 2:16 AM
Stats:
Replies:19 Avg. Rating:5
Views:25035 Votes:0
Shares:0
Tags: pap2, firmware, pap2t
+

Related Content

Discussions Leaderboard